# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.706.4.1 -> 1.706.4.2
#	  include/linux/mm.h	1.41    -> 1.42   
#	           mm/mmap.c	1.27    -> 1.28   
#	  drivers/char/mem.c	1.19    -> 1.20   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/03	bjorn_helgaas@hp.com	1.706.4.2
# Remove VM_WRITECOMBINED and VM_NONCACHED support to avoid memory
# attribute aliasing issues.
# --------------------------------------------
#
diff -Nru a/drivers/char/mem.c b/drivers/char/mem.c
--- a/drivers/char/mem.c	Wed Oct  8 09:07:48 2003
+++ b/drivers/char/mem.c	Wed Oct  8 09:07:48 2003
@@ -196,14 +196,8 @@
 	 * through a file pointer that was marked O_SYNC will be
 	 * done non-cached.
 	 */
-	if (noncached_address(offset) || (file->f_flags & O_SYNC)
-	    || (vma->vm_flags & VM_NONCACHED))
+	if (noncached_address(offset) || (file->f_flags & O_SYNC))
 		vma->vm_page_prot = pgprot_noncached(vma->vm_page_prot);
-
-#ifdef MAP_WRITECOMBINED
-	if (vma->vm_flags & VM_WRITECOMBINED)
-		vma->vm_page_prot = pgprot_writecombine(vma->vm_page_prot);
-#endif
 
 	/* Don't try to swap out physical pages.. */
 	vma->vm_flags |= VM_RESERVED;
diff -Nru a/include/linux/mm.h b/include/linux/mm.h
--- a/include/linux/mm.h	Wed Oct  8 09:07:48 2003
+++ b/include/linux/mm.h	Wed Oct  8 09:07:48 2003
@@ -103,8 +103,6 @@
 #define VM_DONTCOPY	0x00020000      /* Do not copy this vma on fork */
 #define VM_DONTEXPAND	0x00040000	/* Cannot expand with mremap() */
 #define VM_RESERVED	0x00080000	/* Don't unmap it from swap_out */
-#define VM_WRITECOMBINED 0x00100000	/* Write-combined */
-#define VM_NONCACHED	0x00200000	/* Noncached access */
 
 #define VM_STACK_FLAGS			(VM_DATA_DEFAULT_FLAGS | VM_GROWSDOWN)
 
diff -Nru a/mm/mmap.c b/mm/mmap.c
--- a/mm/mmap.c	Wed Oct  8 09:07:48 2003
+++ b/mm/mmap.c	Wed Oct  8 09:07:48 2003
@@ -205,12 +205,6 @@
 		_trans(prot, PROT_WRITE, VM_WRITE) |
 		_trans(prot, PROT_EXEC, VM_EXEC);
 	flag_bits =
-#ifdef MAP_WRITECOMBINED
-		_trans(flags, MAP_WRITECOMBINED, VM_WRITECOMBINED) |
-#endif
-#ifdef MAP_NONCACHED
-		_trans(flags, MAP_NONCACHED, VM_NONCACHED) |
-#endif
 		_trans(flags, MAP_GROWSDOWN, VM_GROWSDOWN) |
 		_trans(flags, MAP_DENYWRITE, VM_DENYWRITE) |
 		_trans(flags, MAP_EXECUTABLE, VM_EXECUTABLE);
